/*
 *  fmodf.c 
 *
 * Gives  whole remainder (less than divisor) after obtaining maximum
 * integer quotient of two double numbers - useful e.g. for reducing 
 * large angles to range 0 < x < 2pi
 *
 * AMENDMENT HISTORY
 * ~~~~~~~~~~~~~~~~~
 *  20 Dec 93   DJW   - First version - based on S.E.Petersen's code for fmod()
 */

#define __LIBRARY__

#include <math.h>

float fmodf _LIB_F2_ (float, x, \
                       float, y)
{
    float n, ans;

    if ( !x || (fabsf(x))<(fabsf(y))) {
        return (x);
    }
    ans = y * modff((x/y), &n);
    return (ans);   
}

